# $Revision: 1.11 $, $Date: 2012/06/13 17:25:46 $
Summary:	LibThai - Thai language support routines
Summary(pl.UTF-8):	LibThai - biblioteka wspomagająca obsługę języka tajskiego
Name:		libthai
Version:	0.1.18
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.gz
# Source0-md5:	0250fc5255c1e62b23f88c2d6b1d6262
URL:		http://linux.thai.net/projects/libthai
BuildRequires:	doxygen
BuildRequires:	libdatrie-devel >= 0.2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their
applications. It includes important Thai-specific functions e.g. word
breaking, input and output methods as well as basic character and
string supports. LibThai is an Open Source and collaborative effort
initiated by Thai Linux Working Group and opened for all contributors.

%description -l pl.UTF-8
LibThai to zbiór funkcji wspomagających obsługę języka tajskiego,
mających ułatwić programistom wprowadzanie obsługi języka tajskiego w
swoich aplikacjach. Zawiera istotne funkcje specyficzne dla języka
tajskiego, takie jak łamanie słów, metody wejścia i wyjścia, a także
podstawową obsługę znaków i łańcuchów. LibThai ma otwarte źródła i
jest wspólną pracą zapoczątkowaną przez Thai Linux Working Group,
otwartą na każdą współpracę.

%package devel
Summary:	Header files for LibThai library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibThai
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdatrie-devel

%description devel
Header files for LibThai library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LibThai.

%package static
Summary:	Static LibThai library
Summary(pl.UTF-8):	Statyczna biblioteka LibThai
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibThai library.

%description static -l pl.UTF-8
Statyczna biblioteka LibThai.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libthai

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libthai.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libthai.so.0
%{_datadir}/libthai

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libthai.so
%{_libdir}/libthai.la
%{_includedir}/thai
%{_pkgconfigdir}/libthai.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libthai.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libthai.spec,v $
Revision 1.11  2012/06/13 17:25:46  qboosh
- updated to 0.1.18

Revision 1.10  2012/02/23 16:46:11  qboosh
- updated to 0.1.17

Revision 1.9  2011/11/05 17:36:29  qboosh
- updated to 0.1.16

Revision 1.8  2011/03/25 15:51:50  qboosh
- updated to 0.1.15

Revision 1.7  2010/03/15 08:07:24  qboosh
- updated to 0.1.14

Revision 1.6  2010/01/25 21:08:08  megabajt
- updated to 0.1.13

Revision 1.5  2009/07/01 19:39:12  megabajt
- updated to 0.1.12

Revision 1.4  2009/05/16 14:01:05  megabajt
- updated to 0.1.11

Revision 1.3  2009/03/30 19:45:55  qboosh
- updated to 0.1.10

Revision 1.2  2007/09/03 17:24:52  qboosh
- updated to 0.1.9

Revision 1.1  2007/08/26 21:05:15  qboosh
- new
